Package org.zkoss.bind.impl

## Class PropertyImpl

- java.lang.Object
- - org.zkoss.bind.impl.PropertyImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Property`

      public class PropertyImpl
      extends java.lang.Object
      implements Property, java.io.Serializable

  Implementation of a property.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyImpl​(java.lang.Object base, java.lang.String property, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Object` | `getBase()` | Returns the base object of this property.
    `java.lang.String` | `getProperty()` | Returns the name of this property.
    `java.lang.Object` | `getValue()` | Returns the value object of this property.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyImpl

          public PropertyImpl​(java.lang.Object base,
                              java.lang.String property,
                              java.lang.Object value)

  - ### Method Detail

    - #### getBase

          public java.lang.Object getBase()

      Description copied from interface: `Property`
      Returns the base object of this property.
      Specified by:
        `getBase` in interface `Property`
      Returns:
        the base object of this property.

    - #### getValue

          public java.lang.Object getValue()

      Description copied from interface: `Property`
      Returns the value object of this property.
      Specified by:
        `getValue` in interface `Property`
      Returns:
        the value object of this property.

    - #### getProperty

          public java.lang.String getProperty()

      Description copied from interface: `Property`
      Returns the name of this property.
      Specified by:
        `getProperty` in interface `Property`
      Returns:
        the name of this property.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`